×
Blue Eagle 5 v1.5.4 has been Released (13 Sep 2020)

The Kunena team has announce the arrival of Kunena template Blue Eagle 5 v1.5.4 which is now available for download. This version addresses most of the issues that were discovered in development.

× Themen, die in diesen Bereich verschoben wurden, gelten allgemein als beendet. Falls es dazu noch zusätzliche Fragen gibt, können diese zwar noch gestellt werden, aber diese alten Themen sollten auf keinen Fall wieder auferstehen, um neue Probleme zu erörtern.
Eröffnet dazu bitte ein eigenes neues Thema.

Solved Wechsel von phpBB zu Kunena-Forum

More
8 years 5 months ago #1 by pctom
Hallo zusammen,

ich habe meine Seite auf Joomla 2.5.3 zu laufen und separat ein Forum über phpBB, wo man sich separat anmelden muss. Ich fände es jedoch komfortabler, die Anmeldung über nur ein System zu realisieren.

Gibt es eine (verständliche) Möglichkeit auf Kunena umzusteigen und die Daten, sprich Kategorien, User, Passwörter usw. von phpBB zu importieren?

Gruss...Tom

Please Log in or Create an account to join the conversation.

More
8 years 5 months ago #2 by rich
Herzlich willkommen Tom!

Grundsätzlich sollte es möglich sein. Es gibt einen Forum Importer, den du hier runter laden kannst.
www.kunena.org/download
Als Minimum sollte phpBB 3.0.8 installiert sein.
Ob es einfach ist, kann ich nicht beurteilen, da ich selbst nie etwas damit zu tun hatte. Aber es gibt hier einige Benutzer, welche diesen Vorgang erfolgreich abgeschlossen haben und vielleicht melden sich welche, um dir bei eventuellen Problemen zu helfen. Auf jeden Fall solltest du alles erst auf einer Testumgebung ausprobieren, damit es keine bösen Überraschungen gibt.

Please Log in or Create an account to join the conversation.

More
8 years 5 months ago #3 by pctom
Hi Rich,

zunächst einmal herzlichen Dank für deine Ausführungen. Mein phpBB-Forum ist in der Version 3.0.7, meinst du, dass es trotzdem funktionieren könnte?

Du schreibst, dass ich es erst mal auf einer "Testumgebung" ausprobieren sollte. Bekomme ich denn ein laufendes System auch über xamp zum laufen, hab so etwas noch nie gemacht?

Gruss...Tom

Please Log in or Create an account to join the conversation.

More
8 years 5 months ago #4 by rich

Mein phpBB-Forum ist in der Version 3.0.7, meinst du, dass es trotzdem funktionieren könnte?

Das wäre reine Spekulation, wenn ich ja sagen würde. Aber ich denke, dass die Entwickler nicht umsonst geschrieben haben, welche minimalen Anforderungen nötig sind. Aber, wie schon im ersten Beitrag erwähnt, ich habe damit noch nie etwas zu tun gehabt.

Bekomme ich denn ein laufendes System auch über xamp zum laufen, hab so etwas noch nie gemacht?

Eine lokale Installation ist nie zu 100% aussagekräftig. Besser ist es, wenn du auf deinem Server eine Testinstallation hast. Du kannst es auch mit deiner Live Seite versuchen, aber dann ist es unbedingt nötig, dass du vorher eine komplette Sicherung deiner Webseite (samt Datenbank) hast, um bei Problemen alles rückgängig machen zu können.

Please Log in or Create an account to join the conversation.

More
8 years 4 months ago #5 by pctom
Hallo,

ich habe es jetzt mit dem Forum Importer mal versucht. Leider wurden mir jedoch als einzige Daten die Moderatoren und der Administrator importiert.

Gibt es denn irgend eine Möglichkeit die Kategorien mit den Beiträgen und die normalen User irgendwie manuell zu importieren?

Gruss...Tom

Please Log in or Create an account to join the conversation.

More
8 years 4 months ago - 8 years 4 months ago #6 by rich
Servus pctom,

ich habe in die readme vom Importer gesehen. Da steht, dass Joomla 1.5 und Kunena 1.6 benötigt wird. Du solltest dir Joomla 1.5 und Kunena 1.6 auf einem Testserver installieren und den Import wiederholen. Der Importer arbeitet höchstwahrscheinlich nicht richtig mit Joomla 2.5.x (ich habe nachgefragt).
Wenn du dann die Datenbanken richtig importiert hast und es funktioniert, sollten die weiteren Upgrades zu Kunena 1.7 kein Problem sein. Ebenso Kunena danach auf deine Joomla 2.5 Installation zu übertragen.
Hier kannst du dir Kunena 1.6 herunter laden:
joomlacode.org/gf/project/kunena/frs/?ac...&frs_package_id=5247
Ich drücke dir die Daumen, dass es reibungslos klappt! :)
Last edit: 8 years 4 months ago by rich.

Please Log in or Create an account to join the conversation.

More
8 years 4 months ago #7 by pctom
Hallo Rich,

du meinst J 1.5 mittels XAMPP lokal istallieren, als Testserver? Ich habe sowas noch nie gemacht, das wir bestimmt nen Akt...mal sehen, ob ich das hinbekomme???

Gruss...Tom

Please Log in or Create an account to join the conversation.

More
8 years 4 months ago - 8 years 4 months ago #8 by rich
Du musst dir nicht zwangsläufig XAMPP installieren. Wenn es für dich leichter ist, kannst du auch auf deinem Server in einen Unterordner z.B.: "testinstallation" eine ganz gewöhnliche neue Joomla Installation anlegen. Dazu muss du aber eine eigene Datenbank anlegen. Wenn du dann in diesen Ordner die Joomla Installationsdateien hochgeladen hast, rufst du mit deinem Browser einfach deine Adresse www.deineadresse.de/testinstallation auf und der Rest ist selbsterklärend.

Auf jeden Fall solltest du vorher immer eine komplette Sicherung deiner Webseite haben, falls dir irgendein Fehler passiert.
Last edit: 8 years 4 months ago by rich.

Please Log in or Create an account to join the conversation.

More
8 years 4 months ago - 8 years 4 months ago #9 by pctom
Hi,

habe jetzt so ziemlich alles probiert und bekomme die folgende Fehlermeldung beim Importer:

ERROR: KunenaImporterTableExtUser::store failed - Duplicate entry '2' for key 'PRIMARY' SQL=INSERT INTO `jos_kunenaimporter_users` (`extid`,`extusername`,`name`,`username`,`email`,`password`,`usertype`,`block`,`gid`,`registerDate`,`lastvisitDate`) VALUES ('2','admin','Admin','Admin','[email protected]','phpbb3::$H$77unGtu31H.7I0p/cmuqq6RK8fSfcq.','Administrator','0','18','2008-04-07 11:35:05','2009-09-05 11:27:34')

Was könnte das bedeuten??

Gruss...Tom
Last edit: 8 years 4 months ago by pctom.

Please Log in or Create an account to join the conversation.

More
8 years 4 months ago #10 by rich
Du benutzt phpBB Version 3.0.7, aber minimum sollte 3.0.8 sein, um erfolgreich zu migrieren. Vielleicht liegt daran der Fehler. Git es keine Möglichkeit, dass du vorher ein Upgrade machst?

Aber die Meldung "Duplicate entry" erhalte ich z.B. dann, wenn ich ein zweites Mal die selben Benutzertabellen hochladen will. Mache alle Kunena Tabellen leer und versuche es danach noch mal.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.102 seconds